Package org.apache.sysds.runtime.instructions.spark.utils

## Class FrameRDDConverterUtils.LongWritableFrameToLongFrameFunction

- java.lang.Object
- - org.apache.sysds.runtime.instructions.spark.utils.FrameRDDConverterUtils.LongWritableFrameToLongFrameFunction

All Implemented Interfaces:
  `Serializable`, `org.apache.spark.api.java.function.PairFunction<scala.Tuple2<org.apache.hadoop.io.LongWritable,​FrameBlock>,​Long,​FrameBlock>`

Enclosing class:
  FrameRDDConverterUtils

    public static class FrameRDDConverterUtils.LongWritableFrameToLongFrameFunction
    extends Object
    implements org.apache.spark.api.java.function.PairFunction<scala.Tuple2<org.apache.hadoop.io.LongWritable,​FrameBlock>,​Long,​FrameBlock>

See Also:
  Serialized Form

### Constructor Summary

Constructors
`LongWritableFrameToLongFrameFunction()`

### Method Summary

All Methods Instance Methods Concrete Methods
`scala.Tuple2<Long,​FrameBlock>` `call​(scala.Tuple2<org.apache.hadoop.io.LongWritable,​FrameBlock> arg0)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LongWritableFrameToLongFrameFunction

    public LongWritableFrameToLongFrameFunction()

### Method Detail

#### call

    public scala.Tuple2<Long,​FrameBlock> call​(scala.Tuple2<org.apache.hadoop.io.LongWritable,​FrameBlock> arg0)
                                             throws Exception

Specified by:
  `call` in interface `org.apache.spark.api.java.function.PairFunction<scala.Tuple2<org.apache.hadoop.io.LongWritable,​FrameBlock>,​Long,​FrameBlock>`
Throws:
  `Exception`